Bug 734728 - cifs: asynchronous readpages support
Summary: cifs: asynchronous readpages support
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.2
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 6.3
Assignee: Sachin Prabhu
QA Contact: Jian Li
URL:
Whiteboard:
Depends On:
Blocks: 767187 798385 877023 961662
TreeView+ depends on / blocked
 
Reported: 2011-08-31 10:13 UTC by Jeff Layton
Modified: 2018-12-01 17:05 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-381.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 973504 (view as bug list)
Environment:
Last Closed: 2013-11-21 12:28:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1645 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 6 kernel update 2013-11-20 22:04:18 UTC

Description Jeff Layton 2011-08-31 10:13:20 UTC
I've done a fairly significant overhaul for cifs to add support for larger rsize= options and the ability for it to do readpages asynchronously. This roughly quadruples read throughput on in basic testing.

The latest upstream patchsets are here:

http://permalink.gmane.org/gmane.linux.kernel.cifs/4117
http://comments.gmane.org/gmane.linux.kernel.cifs/4141

...but I may need to do another to fix up some merge conflicts with other recently merged code. The first set is an overhaul of the receive codepath to allow for larger receives, and the second changes readpages to use the new code to do readpages.

I suspect that this would be a good thing to include in RHEL6, but we'll have to gauge the benefit over the invasiveness of the patchset.

Comment 1 Jeff Layton 2011-11-17 17:46:08 UTC
Handing to Sachin as he has more time to backport this than I do...

Comment 8 RHEL Product and Program Management 2013-05-09 15:32:35 UTC
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.

Comment 9 Jarod Wilson 2013-05-24 15:48:36 UTC
Patch(es)

Comment 16 Jian Li 2013-09-17 03:05:25 UTC
Sanityonly test, regression test, and ltp-aiodio test will be run.

Comment 17 errata-xmlrpc 2013-11-21 12:28:14 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1645.html


Note You need to log in before you can comment on or make changes to this bug.